summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xconfigs/profile/build.sh70
-rw-r--r--configs/profile/packages/packages-all.all5
-rw-r--r--configs/profile/packages/packages-openrc-gui.all2
-rw-r--r--configs/profile/packages/packages-openrc.all4
-rw-r--r--configs/profile/packages/packages-systemd.all2
-rwxr-xr-xconfigs/profile/rebuild.sh10
-rw-r--r--configs/profile/root-image/etc/skel/.xinitrc21
-rw-r--r--configs/profile/root-image/root/.install-openrc-lxde/packages4
-rw-r--r--configs/profile/root-image/root/.install-systemd-mate/packages3
-rw-r--r--configs/profile/root-image/root/customize_root_image-constants.inc33
-rwxr-xr-xconfigs/profile/root-image/root/customize_root_image.sh13
11 files changed, 94 insertions, 73 deletions
diff --git a/configs/profile/build.sh b/configs/profile/build.sh
index 2ad80c1..8724798 100755
--- a/configs/profile/build.sh
+++ b/configs/profile/build.sh
@@ -11,7 +11,7 @@ readonly END_COLOR='\033[00m'
# edition-specific data
declare -ar VALID_INITS=('openrc' 'systemd')
-declare -ar VALID_GUIS=('cli' 'lxde' 'mate')
+declare -ar VALID_WMDES=('cli' 'lxde' 'mate')
iso_title="Parabola GNU/Linux-libre Live" # $iso_edition and $iso_version appended
# environment
@@ -22,7 +22,8 @@ packages_dir=${releng_dir}/packages
[ "`which mkparabolaiso 2> /dev/null`" ] || export PATH=$PATH:"${releng_dir}/../../parabolaiso"
# CLI option defaults
-iso_edition="SystemD/CLI"
+iso_init='systemd'
+iso_wmde='cli'
iso_arch='dual'
iso_version=$(date +%Y.%m.%d)
iso_label="PARA_$(date +%Y%m)"
@@ -34,13 +35,17 @@ work_dir=./work
out_dir=./out
verbose=''
-# computed params, per CLI options
-archs='' # deferred
-iso_filename='' # deferred
-iso_init='' # deferred
-iso_gui='' # deferred
-arch='' # deferred
-pacman_conf='' # deferred
+# computed vars, per CLI options
+edition_init='' # deferred
+edition_wmde='' # deferred
+iso_edition='' # deferred
+archs='' # deferred
+launch_msg='' # deferred
+iso_title='' # deferred
+release_dirname='' # deferred
+iso_filename='' # deferred
+arch='' # deferred
+pacman_conf='' # deferred
_usage ()
@@ -48,8 +53,10 @@ _usage ()
echo "usage ${0} [options]"
echo
echo " General options:"
- echo " -E <iso_edition> Release edition (init/WM pair e.g. 'SystemD/CLI')"
- echo " Default: ${iso_edition}"
+ echo " -I <iso_init> Release edition (init/WM pair e.g. 'SystemD/CLI')"
+ echo " Default: ${iso_init}"
+ echo " -W <iso_wmde> Release edition (init/WM pair e.g. 'SystemD/CLI')"
+ echo " Default: ${iso_wmde}"
echo " -T <iso_arch> Target architecture (one of 'i686', 'x86_64', or 'dual')"
echo " Default: ${iso_arch}"
echo " -V <iso_version> Set the iso version in the filename"
@@ -131,8 +138,8 @@ make_packages() {
local _install_initgui_lists=$(ls ${packages_dir}/packages-${iso_init}-gui.{all,${arch}} 2> /dev/null || true)
local _cache_initgui_lists=$( ls ${packages_dir}/cache-${iso_init}-gui.{all,${arch}} 2> /dev/null || true)
# wmde-specific package lists
- local _install_gui_lists=$( ls ${packages_dir}/packages-${iso_gui}.{all,${arch}} 2> /dev/null || true)
- local _cache_gui_lists=$( ls ${packages_dir}/cache-${iso_gui}.{all,${arch}} 2> /dev/null || true)
+ local _install_gui_lists=$( ls ${packages_dir}/packages-${iso_wmde}.{all,${arch}} 2> /dev/null || true)
+ local _cache_gui_lists=$( ls ${packages_dir}/cache-${iso_wmde}.{all,${arch}} 2> /dev/null || true)
_install_base_lists=${_install_base_lists// /}
_cache_base_lists=${_cache_base_lists// /}
_install_basegui_lists=${_install_basegui_lists// /}
@@ -153,7 +160,7 @@ make_packages() {
# collect wmde-specific packages
local _install_gui_packages=$( [ "${_install_gui_lists}" ] && grep -hv ^# ${_install_gui_lists})
local _cache_gui_packages=$( [ "${_cache_gui_lists}" ] && grep -hv ^# ${_cache_gui_lists})
- if [[ "${iso_gui}" != 'cli' ]]; then
+ if [[ "${iso_wmde}" != 'cli' ]]; then
_gui_packages_msg="${_gui_packages_msg/non-graphical/graphical}"
_install_gui_lists="${_install_basegui_lists} ${_install_initgui_lists} ${_install_gui_lists}"
_cache_gui_lists="${_cache_basegui_lists} ${_cache_initgui_lists} ${_cache_gui_lists}"
@@ -213,8 +220,6 @@ make_setup_mkinitcpio() {
cp ${initcpio_dir}/install/parabolaiso_kms ${work_dir}/${arch}/root-image/usr/lib/initcpio/install
cp ${initcpio_dir}/hooks/parabolaiso_shutdown ${work_dir}/${arch}/root-image/usr/lib/initcpio
cp ${releng_dir}/mkinitcpio.conf ${work_dir}/${arch}/root-image/etc/mkinitcpio-parabolaiso.conf
- # FIXME: mkinitcpio-paralogo is systemd-only
- [[ "${iso_init}" == 'openrc' ]]&& sed -i 's|paralogo||' ${work_dir}/${arch}/root-image/etc/mkinitcpio-parabolaiso.conf
[[ "${arch}" != 'i686' ]] && sed -i 's|pcmcia||' ${work_dir}/${arch}/root-image/etc/mkinitcpio-parabolaiso.conf
setarch ${arch} mkparabolaiso ${verbose} -w ${work_dir}/${arch} -C ${pacman_conf} -D ${iso_dirname} -r 'mkinitcpio -c /etc/mkinitcpio-parabolaiso.conf -k /boot/vmlinuz-linux-libre -g /boot/parabolaiso.img' run
}
@@ -226,7 +231,8 @@ make_customize_root_image() {
echo "Customizing root image"
ISO_TITLE="${iso_title}" \
ISO_INIT="${iso_init}" \
- ISO_GUI="${iso_gui}" \
+ ISO_WMDE="${iso_wmde}" \
+ ISO_ARCH="${iso_arch}" \
ENABLE_OFFLINE_INSTALL="${enable_offline_install}" \
ENABLE_TTS_BRLTTY="${enable_tts_brltty}" \
setarch ${arch} mkparabolaiso ${verbose} -w ${work_dir}/${arch} \
@@ -383,7 +389,8 @@ make_iso() {
# set CLI options
while getopts 'E:T:V:L:D:OSC:w:o:vh' arg; do
case "${arg}" in
- E) iso_edition="${OPTARG}" ;;
+ I) iso_init="${OPTARG}" ;;
+ W) iso_wmde="${OPTARG}" ;;
T) iso_arch="${OPTARG}" ;;
V) iso_version="${OPTARG}" ;;
L) iso_label="${OPTARG}" ;;
@@ -403,6 +410,9 @@ while getopts 'E:T:V:L:D:OSC:w:o:vh' arg; do
done
# set target arch, GRUB title, ISO filename, and pacman.conf sources
+edition_init=$( [[ "${iso_init}" == 'openrc' ]] && echo 'OpenRC' || echo 'SystemD' )
+edition_wmde==$( echo ${iso_wmde} | tr '[:lower:] ' '[:upper:]' )
+iso_edition=${edition_init}/${edition_wmde}
case "${iso_arch}" in
'i686'|'x86_64')
archs=${iso_arch}
@@ -422,26 +432,28 @@ else
launch_msg="${launch_msg} (net install only)"
fi
iso_title="${iso_title} - ${iso_edition} Edition ${iso_version}"
-iso_filename="parabola-${iso_edition}-${iso_arch}-${iso_type}-${iso_version}.iso"
-release_dirname="${iso_edition}-${iso_arch}-${iso_version}"
-iso_filename=$( echo ${iso_filename} | tr '[:upper:]/' '[:lower:]-')
-out_dir=${out_dir}/$(echo ${release_dirname} | tr '[:upper:]/' '[:lower:]-')
-iso_init=$( echo ${iso_edition} | cut -d '/' -f 1 | tr '[:upper:]' '[:lower:]' )
-iso_gui=$( echo ${iso_edition} | cut -d '/' -f 2 | tr '[:upper:]' '[:lower:]' )
+release_dirname=${iso_arch}-${iso_init}-${iso_wmde}-${iso_version}
+out_dir=${out_dir}/${release_dirname}
+iso_filename=parabola-${iso_init}-${iso_wmde}-${iso_arch}-${iso_type}-${iso_version}.iso
[[ "${archs}" == 'i686' ]] && arch='i686' || arch='x86_64'
pacman_conf=${work_dir}/pacman.conf
## sanity checks ##
-# sanitize paths
+# sanitize mkparabolaiso args
+iso_init=${iso_init// /}
+iso_wmde=${iso_wmde// /}
+iso_arch=${iso_arch// /}
+iso_version=${iso_version// /}
iso_label=${iso_label// /}
iso_dirname=${iso_dirname// /}
-iso_filename=${iso_filename// /}
-iso_init=${iso_init// /}
-iso_gui=${iso_gui// /}
+enable_offline_install=${enable_offline_install// /}
+enable_tts_brltty=${enable_tts_brltty// /}
+pacman_conf_in=${pacman_conf_in// /}
work_dir=${work_dir// /}
out_dir=${out_dir// /}
+iso_filename=${iso_filename// /}
pacman_conf=${pacman_conf// /}
# validate build environment
@@ -458,7 +470,7 @@ elif ! pacman -Qi parabolaiso-data > /dev/null; then
LOG_ERROR "This script needs the 'parabolaiso-data' package to be installed."
exit 1
elif ! echo "${VALID_INITS[@]}" | tr " " "\n" | grep -E "^${iso_init}$" > /dev/null || \
- ! echo "${VALID_GUIS[@]}" | tr " " "\n" | grep -E "^${iso_gui}$" > /dev/null; then
+ ! echo "${VALID_WMDES[@]}" | tr " " "\n" | grep -E "^${iso_wmde}$" > /dev/null ; then
LOG_ERROR "Invalid init/wm combination: '${iso_edition}'."
exit 1
fi
diff --git a/configs/profile/packages/packages-all.all b/configs/profile/packages/packages-all.all
index db9dbdf..ba8ed27 100644
--- a/configs/profile/packages/packages-all.all
+++ b/configs/profile/packages/packages-all.all
@@ -26,8 +26,7 @@ linux-atm
linux-libre
lynx
mc
-# FIXME: mkinitcpio-paralogo is systemd-only
-#mkinitcpio-paralogo
+mkinitcpio-paralogo
mtools
nfs-utils
nilfs-utils
@@ -42,6 +41,7 @@ partimage
ppp
pptpclient
rp-pppoe
+screen
smartmontools
sudo
tcpdump
@@ -54,6 +54,7 @@ wget
wireless_tools
wvdial
xl2tpd
+# TODO: why is 'xterm' on the 'all' list
xterm
zile
zip
diff --git a/configs/profile/packages/packages-openrc-gui.all b/configs/profile/packages/packages-openrc-gui.all
index fbd05af..60d7c58 100644
--- a/configs/profile/packages/packages-openrc-gui.all
+++ b/configs/profile/packages/packages-openrc-gui.all
@@ -8,7 +8,7 @@ gvfs-mtp
gvfs-gphoto2
#openrc-desktop
# FIXME: https://labs.parabola.nu/issues/2506
-# these are conflict resoltuions for the transitional 'openrc-desktop' meta-package
+# these are conflict resolutions for the transitional 'nonsystemd/base' meta-package
# not including those defined in other files (e.g. packages-openrc.all)
# these can all be repalced eventually by the new 'openrc-desktop' meta-package
acpid-openrc
diff --git a/configs/profile/packages/packages-openrc.all b/configs/profile/packages/packages-openrc.all
index 34beb87..ca78094 100644
--- a/configs/profile/packages/packages-openrc.all
+++ b/configs/profile/packages/packages-openrc.all
@@ -14,9 +14,7 @@ openvpn-openrc
rsync-openrc
wpa_supplicant-openrc
# FIXME: https://labs.parabola.nu/issues/2506
-# these are conflict resoltuions for the transitional 'base' meta-package
+# these are conflict resolutions for the transitional 'nonsystemd/base' meta-package
# these can all be removed eventually after the new 'base' meta-package is stabilized
# https://labs.parabola.nu/issues/2576
systemd-libs-dummy
-# https://labs.parabola.nu/issues/2559
-opensysusers
diff --git a/configs/profile/packages/packages-systemd.all b/configs/profile/packages/packages-systemd.all
index bbb78f5..5963233 100644
--- a/configs/profile/packages/packages-systemd.all
+++ b/configs/profile/packages/packages-systemd.all
@@ -6,8 +6,6 @@
gpm
haveged
hdparm
-# FIXME: mkinitcpio-paralogo is systemd-only
-mkinitcpio-paralogo
ntp
openssh
openvpn
diff --git a/configs/profile/rebuild.sh b/configs/profile/rebuild.sh
index 29c47e1..0280566 100755
--- a/configs/profile/rebuild.sh
+++ b/configs/profile/rebuild.sh
@@ -10,10 +10,10 @@ readonly MODE='wipe' # total wipe of work dir, optionally preservi
readonly TARGET='dual' # dual-arch (default)
# readonly TARGET='i686' # i686 target only
# readonly TARGET='x86_64' # x86_64 target only
-# readonly EDITION='OpenRC/CLI' # OpenRC/CLI init/WM-DE pair
-# readonly EDITION='OpenRC/LXDE' # OpenRC/LXDE init/WM-DE pair
-readonly EDITION='SystemD/CLI' # SystemD/CLI init/WM-DE pair (default)
-# readonly EDITION='SystemD/LXDE' # SystemD/LXDE init/WM-DE pair
+# readonly INIT='OpenRC' # OpenRC initsystem
+readonly INIT='systemd' # SystemD initsystem (default)
+readonly WMDE='cli' # CLI (default)
+# readonly WMDE='LXDE' # LXDE
readonly TALKING='' # speech and braille disabled (default)
# readonly TALKING='-S' # speech and braille enabled
readonly CACHE='' # net-install (default)
@@ -24,7 +24,7 @@ readonly OUT_DIR=./out/new/
# prepare build command
-readonly CMD="./build.sh -v -E $EDITION -T $TARGET $TALKING $CACHE -V $VERSION -o $OUT_DIR $*"
+readonly CMD="./build.sh -v -I $INIT -W $WMDE -T $TARGET $TALKING $CACHE -V $VERSION -o $OUT_DIR $*"
# sanity checks
diff --git a/configs/profile/root-image/etc/skel/.xinitrc b/configs/profile/root-image/etc/skel/.xinitrc
index b2cccac..c565042 100644
--- a/configs/profile/root-image/etc/skel/.xinitrc
+++ b/configs/profile/root-image/etc/skel/.xinitrc
@@ -37,13 +37,14 @@ fi
# start a destop environment
-if [ "${DESKTOP_SESSION}" == 'LXDE' ]
-then exec startlxde
-elif [ "${DESKTOP_SESSION}" == 'mate' ]
-then exec mate-session
-else twm &
- xclock -geometry 50x50-1+1 &
- xterm -geometry 80x50+494+51 &
- xterm -geometry 80x20+494-0 &
- exec xterm -geometry 80x66+0+0 -name login
-fi
+case ${DESKTOP_SESSION} in
+ 'calamares' ) twm &
+ exec sudo calamares -D 6 ;;
+ 'LXDE' ) exec startlxde ;;
+ 'mate' ) exec mate-session ;;
+ * ) twm &
+ xclock -geometry 50x50-1+1 &
+ xterm -geometry 80x50+494+51 &
+ xterm -geometry 80x20+494-0 &
+ exec xterm -geometry 80x66+0+0 -name login ;;
+esac
diff --git a/configs/profile/root-image/root/.install-openrc-lxde/packages b/configs/profile/root-image/root/.install-openrc-lxde/packages
index b29de69..7cda0cf 100644
--- a/configs/profile/root-image/root/.install-openrc-lxde/packages
+++ b/configs/profile/root-image/root/.install-openrc-lxde/packages
@@ -1,6 +1,5 @@
base
systemd-libs-dummy
-opensysusers
parabola-base
gpm-openrc
haveged-openrc
@@ -12,7 +11,10 @@ openvpn-openrc
rsync-openrc
wpa_supplicant-openrc
bash-completion
+mc
+nano
p7zip
+screen
sudo
unarchiver
unzip
diff --git a/configs/profile/root-image/root/.install-systemd-mate/packages b/configs/profile/root-image/root/.install-systemd-mate/packages
index a07c6c0..6648a24 100644
--- a/configs/profile/root-image/root/.install-systemd-mate/packages
+++ b/configs/profile/root-image/root/.install-systemd-mate/packages
@@ -10,7 +10,10 @@ openvpn
rsync
wpa_supplicant
bash-completion
+mc
+nano
p7zip
+screen
sudo
unarchiver
unzip
diff --git a/configs/profile/root-image/root/customize_root_image-constants.inc b/configs/profile/root-image/root/customize_root_image-constants.inc
index 400f187..41b2025 100644
--- a/configs/profile/root-image/root/customize_root_image-constants.inc
+++ b/configs/profile/root-image/root/customize_root_image-constants.inc
@@ -1,12 +1,13 @@
# environment vars from build.sh:
# ISO_TITLE
# ISO_INIT
-# ISO_GUI
+# ISO_WMDE
+# ISO_ARCH
# ENABLE_OFFLINE_INSTALL
# ENABLE_TTS_BRLTTY
-/* timezone and locales */
+## timezone and locales ##
readonly LOCALES="en_US\.UTF-8 \
eo \
@@ -18,12 +19,12 @@ readonly LOCALES="en_US\.UTF-8 \
pl_PL\.UTF-8 "
-/* pacman */
+## pacman ##
readonly NONSYSTEMD_REGEX='N ; s|^#\[nonsystemd\].*#Include|\[nonsystemd\]\nInclude|'
-/* services */
+## services ##
readonly OPENRC_DELETE_FILES="/etc/hostname \
/etc/systemd/scripts/choose-mirror \
@@ -50,13 +51,13 @@ readonly SYSTEMD_SERVICES_ACC="bluetooth.service \
livecd-alsa-unmuter.service "
readonly SYSTEMD_SERVICES_GUI="NetworkManager.service"
readonly OPENRC_SERVICES="${OPENRC_SERVICES_ALL} \
- $([[ "${ISO_GUI}" != 'cli' ]] && echo " ${OPENRC_SERVICES_GUI}")"
-readonly SYSTEMD_SERVICES="${SYSTEMD_SERVICES_ALL} \
- $([[ "${ISO_GUI}" != 'cli' ]] && echo " ${SYSTEMD_SERVICES_GUI}") \
- $([[ "${ENABLE_TTS_BRLTTY}" == 'yes' ]] && echo " ${SYSTEMD_SERVICES_ACC}")"
+ $([[ "${ISO_WMDE}" != 'cli' ]] && echo " ${OPENRC_SERVICES_GUI}")"
+readonly SYSTEMD_SERVICES="${SYSTEMD_SERVICES_ALL} \
+ $([[ "${ISO_WMDE}" != 'cli' ]] && echo " ${SYSTEMD_SERVICES_GUI}") \
+ $([[ "${ENABLE_TTS_BRLTTY}" == 'yes' ]] && echo " ${SYSTEMD_SERVICES_ACC}") "
-/* system defaults and root user */
+## system defaults and root user ##
readonly DEFAULT_SHELL=/bin/bash
@@ -81,14 +82,18 @@ readonly OPENRC_USER_GROUPS="disk,sys"
[[ "${ISO_INIT}" == 'openrc' ]] && readonly LIVE_USER_GROUPS="${DEFAULT_USER_GROUPS},${OPENRC_USER_GROUPS}" ||
readonly LIVE_USER_GROUPS="${DEFAULT_USER_GROUPS}"
-readonly TITLE_REGEX="^(.+) - (.+) (.+)$"
+readonly TITLE_REGEX="^(.+) - (.+ Edition) (.+)$"
readonly TITLE_ERROR_MSG="malformed ISO title:\n\t'${ISO_TITLE}'"
! [[ "${ISO_TITLE}" =~ ${TITLE_REGEX} ]] && echo -e "${TITLE_ERROR_MSG}" && exit 1
-readonly OS_PRETTY_NAME="${BASH_REMATCH[ 1]}"
-readonly OS_VERSION="${BASH_REMATCH[ 3]}"
+readonly PRETTY_NAME="${BASH_REMATCH[ 1]}"
+readonly EDITION="${BASH_REMATCH[ 2]}"
+readonly VERSION=${BASH_REMATCH[ 3]}
+readonly OS_PRETTY_NAME="${PRETTY_NAME}"
+readonly OS_VERSION=${VERSION}
readonly OS_VERSION_ID="$(tr '.' '-' <<<${OS_VERSION})"
-readonly OS_VARIANT="${BASH_REMATCH[ 2]} - (${INSTALL_TYPE})"
-readonly OS_VARIANT_ID="${ISO_INIT}-${ISO_GUI}-${INSTALL_TYPE,,}"
+readonly OS_VARIANT="${ISO_ARCH} ${EDITION} - (${INSTALL_TYPE})"
+readonly OS_VARIANT_ID=${ISO_ARCH}-${ISO_INIT}-${ISO_WMDE}-${INSTALL_TYPE,,}
+readonly RELEASE_DIR=${ISO_ARCH}-${ISO_INIT}-${ISO_WMDE}
LOG_CONFIG() { printf "\033[01;34mconfiguring: %s\033[00m\n" "$(echo -e $*)" ; }
diff --git a/configs/profile/root-image/root/customize_root_image.sh b/configs/profile/root-image/root/customize_root_image.sh
index e370251..f6ea945 100755
--- a/configs/profile/root-image/root/customize_root_image.sh
+++ b/configs/profile/root-image/root/customize_root_image.sh
@@ -24,10 +24,10 @@ LOG_CONFIG "pacman"
[[ "${ISO_INIT}" == 'openrc' ]] && sed -i "$NONSYSTEMD_REGEX" /etc/pacman-online.conf
[[ "${INSTALL_TYPE}" == 'Complete' ]] && cp /etc/pacman-offline.conf /etc/pacman.conf || \
cp /etc/pacman-online.conf /etc/pacman.conf
+pacman-key --refresh-keys
# FIXME: https://labs.parabola.nu/issues/2576
# this LOC can be removed eventually after the new 'base' meta-package is stabilized
-pacman -R $(pacman -Qsq ^systemd)
-pacman -R netctl
+pacman -R $(pacman -Qq | grep ^systemd-)
LOG_CONFIG "services"
@@ -70,8 +70,9 @@ LOG_CONFIG "login session and live user"
sed -i "s|_EDITION_TITLE_|${ISO_TITLE}|" /etc/motd
sed -i "s|_NETWORK_MOTD_MSG_|${NETWORK_MOTD_MSG}|" /etc/motd
sed -i "s|_ENABLE_TTS_BRLTTY_|${ENABLE_TTS_BRLTTY}|" /etc/skel/.bash_profile
+sed -i "s|_RELEASE_DIR_|${RELEASE_DIR}|" /etc/skel/live-repair
-if [[ "${ISO_GUI}" == 'cli' ]]
+if [[ "${ISO_WMDE}" == 'cli' ]]
then # configure CLI login session
cp ${ROOT_SKEL_FILES} /root/
sed -i "s|_DESKTOP_SESSION_||" /root/.bash_profile
@@ -97,7 +98,7 @@ else # configure GUI login session
# configure desktop environment
sed -i "s|/issue-tracker/|/isos/|" /home/${LIVE_USER}/Desktop/bug-tracker.desktop
- if [[ "${ISO_GUI}" == 'lxde' ]]
+ if [[ "${ISO_WMDE}" == 'lxde' ]]
then rm -f /etc/xdg/autostart/octopi-notifier.desktop 2> /dev/null # FIXME: issue #1850
for desktop_file in parabola-installer.desktop parabola-irc.desktop bug-tracker.desktop
do sleep 2 ; touch /home/${LIVE_USER}/Desktop/${desktop_file} ; # sort
@@ -105,11 +106,11 @@ else # configure GUI login session
sed -i "s|_DESKTOP_SESSION_|LXDE|" /home/${LIVE_USER}/.bash_profile
sed -i "s|_DESKTOP_SESSION_|LXDE|" /home/${LIVE_USER}/.dmrc
- elif [[ "${ISO_GUI}" == 'mate' ]]
+ elif [[ "${ISO_WMDE}" == 'mate' ]]
then sed -i "s|_DESKTOP_SESSION_|mate|" /home/${LIVE_USER}/.bash_profile
sed -i "s|_DESKTOP_SESSION_|mate|" /home/${LIVE_USER}/.dmrc
- else echo "invalid \$ISO_GUI for _DESKTOP_SESSION_ '${ISO_GUI}'"
+ else echo "invalid \$ISO_WMDE for _DESKTOP_SESSION_ '${ISO_WMDE}'"
exit 1
fi
fi